[mysqld]
binlog_format=ROW
default-storage-engine=innodb
innodb_autoinc_lock_mode=2
query_cache_size=0
query_cache_type=0
log_error=/var/log/mysqld/mysqld.log
log_warnings=2
{% if galera_ssl %}
ssl-ca = {{ galera_ssl_ca }}
ssl-key = {{ galera_ssl_key }}
ssl-cert = {{ galera_ssl_crt }}
require_secure_transport = ON
{% endif %}

[galera]
wsrep_on=ON
wsrep_node_name={{ ansible_hostname }}
wsrep_provider=/usr/lib64/galera-4/libgalera_smm.so
#wsrep_provider=/usr/lib64/galera/libgalera_smm.so  # legacy
wsrep_cluster_name="{{ galera_cluster_name }}"
wsrep_cluster_address="gcomm://{% for cluster_ip in galera_cluster_ips %}{{ cluster_ip }}{% if not loop.last %},{% endif %}{% endfor %}"
{% if galera_ssl %}
wsrep_provider_options="socket.ssl_key={{ galera_ssl_key }};socket.ssl_cert={{ galera_ssl_crt }};socket.ssl_ca={{ galera_ssl_ca }}"
{% endif %}
wsrep_sst_method=rsync

wsrep_node_address="{{ galera_wsrep_node_ip }}"
